<?php
require_once '../include/tgcRSS.php';
error_reporting(E_ALL);

if ($_SERVER['argv'] < 2) {
    echo "RSS-feed als Argument angeben!\n";
    exit;
}

try {
    $rss = new tgcRSS($_SERVER['argv'][1], 'Dom');
} catch (tgcRSSException $e) {
    print $e;
    exit;
}

$channel = $rss->getChannelInfo();
$items = $rss->getItems();
$textinput = $rss->getTextinput();
$image = $rss->getImageInfo();

echo "CHANNEL-INFO: \n";
echo $channel;
echo "----------------------\n\n";

echo "ITEMS-INFO: \n";
foreach ($items as $item) {
    echo $item;
}
echo "----------------------\n\n";

echo "IMAGE-INFO: \n";
echo $image;
echo "----------------------\n\n";

echo "TEXTINPUT-INFO: \n";
echo $textinput;
echo "----------------------\n\n";
?>
